Subject: Re: bug#50462: 27.2; emacsclient syntax highlight failure

From: RDS <[email-masked]>
Date: Wed, 8 Sep 2021 10:28:01 -0700

>I'm not sure I understand what this means.  What is "agetty"?
Linux console login utility.

> And what do you call "emacs terminal"?
emacsclient -t (terminal mode) as noted in original post. Not -c option.

>M-: (display-color-cells) RET
8 : console
256 : xterm

>And what happens if you try to customize these faces to define the
>colors they should have?
It works! Tried it from the menu bar.

On Wed, Sep 8, 2021 at 10:02 AM Eli Zaretskii <[email-masked]> wrote:

> > From: RDS <[email-masked]>
> > Date: Wed, 8 Sep 2021 09:46:38 -0700
> > Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> >
> > 1) Using standard agetty, not emacs terminal.
>
> I'm not sure I understand what this means.  What is "agetty"?  And
> what do you call "emacs terminal"?
>
> > 2) M-x list-faces-display (after fault)
> > All OK except
> >   font-lock-string-face (black-on-black)
> >   sh-escaped-newline "
> >   toolbar "
> >   window-divider-last-pixel "
>
> And what happens if you try to customize these faces to define the
> colors they should have?  Or different colors?  Does that work, or do
> these faces fail to display any colors, no matter what?
>
> Btw, how many colors does this terminal support?  You can find the
> answer like this:
>
>   M-: (display-color-cells) RET
>
> And finally, does "M-x list-colors-display RET" show some colors
> incorrectly?
>